Bug 10004 - vesa.c, misprint condition.
Summary: vesa.c, misprint condition.
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/Vesa (show other bugs)
Version: git
Hardware: Other Linux (All)
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: xorg-7.4
  Show dependency treegraph
 
Reported: 2007-02-16 16:46 UTC by Andrey Kovalev
Modified: 2008-02-29 14:06 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Kovalev 2007-02-16 16:46:05 UTC
vesa.c, near line 1166:

    if (pScrn->bitsPerPixel == 8 && pVesa->vbeInfo->Capabilities[0] & 0x01 &&  
        !(data->data->MemoryModel & 0x6 || data->data->MemoryModel & 0x7))     
        VBESetGetDACPaletteFormat(pVesa->pVbe, 8);

Condition (data->data->MemoryModel & 0x6 || data->data->MemoryModel & 0x7) is incorrect. All 8-bit palette modes I've seen (vmware, via cle266, ati) comes with MemoryModel == 0x04, condition fails and default 6bit DAC paletter format left unchnged.

(data->data->MemoryModel == 0x6 || data->data->MemoryModel == 0x7) work for me.
Comment 1 Daniel Stone 2007-02-27 01:36:27 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 2 Adam Jackson 2008-02-29 14:06:35 UTC
Fixed in git, thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.